<div *ngIf="data.hasOwnProperty('matIcon')">
  <mat-icon *ngIf="data.hasOwnProperty('matIcon')" class="kd-inline" style="size: 22px;">
    {{ data.matIcon }}
  </mat-icon>
</div>
<h2 mat-dialog-title class="kd-inline">{{ data.title }}</h2>

<div mat-dialog-content>
  {{ data.message }}
</div>
<div style="float:right;margin:20px;">
  <input style="margin:0px 10px;" type="button" value="Confirm" [mat-dialog-close]="true">
  <input type="button" value="Cancel" [mat-dialog-close]="false">
</div>
